Updated: openmpi-3.1.5-1

classic Classic list List threaded Threaded
1 message Options
Reply | Threaded
Open this post in threaded view
|

Updated: openmpi-3.1.5-1

marco atzeri-4
Version 3.1.5-1 of packages

   libopenmpi-devel
   libopenmpi40
   libopenmpifh40
   libopenmpiusef08_40
   libopenmpiusetkr40
   openmpi

are available in the Cygwin distribution:

CHANGES
Latest upstream release ov 3.1.x series
https://www.mail-archive.com/announce@.../msg00126.html

Full upstream changes:
https://github.com/open-mpi/ompi/blob/master/NEWS

DESCRIPTION
Open MPI : A High Performance Message Passing Library

The Open MPI Project is an open source MPI-3 implementation that
is developed and maintained by a consortium of academic, research,
and industry partners

CYGWIN NOTES
1) openmpi requires a running cygserver

2) To Avoid PMIX error messages for
https://www.mail-archive.com/devel@...//msg21004.html

    gds = ^ds21

was added to
     /etc/defaults/etc/pmix-mca-params.conf

You may need to add the same setting to your own
    /etc/pmix-mca-params.conf

HOMEPAGE
http://www.open-mpi.org/

Marco Atzeri

If you have questions or comments, please send them to the
cygwin mailing list at: cygwin (at) cygwin (dot) com .